Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.beanutils
Class ConfigurationDynaClass

    java.lang.Object
      org.apache.commons.configuration.beanutils.ConfigurationDynaClass

All Implemented Interfaces:
  DynaClass

public class ConfigurationDynaClass
extends Object
implements DynaClass

The `ConfigurationDynaClass` dynamically determines properties for a `ConfigurationDynaBean` from a wrapped configuration-collection `Configuration` instance.

Since:
  1.0-rc1
Version:
  $Revision: 727664 $, $Date: 2008-12-18 08:16:09 +0100 (Do, 18 Dez 2008) $
Author:
  Ricardo Gladwell

Constructor Summary
`ConfigurationDynaClass(Configuration configuration)` Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

Method Summary
`DynaProperty[]` | `getDynaProperties()`
`DynaProperty` | `getDynaProperty(String name)`
`String` | `getName()`
`DynaBean` | `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationDynaClass

    public ConfigurationDynaClass(Configuration configuration)

  Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

Parameters:
  `configuration` - `Configuration` instance.

Method Detail

### getDynaProperty

    public DynaProperty getDynaProperty(String name)

  Specified by:
    `getDynaProperty` in interface `DynaClass`

### getDynaProperties

    public DynaProperty[] getDynaProperties()

  Specified by:
    `getDynaProperties` in interface `DynaClass`

### getName

    public String getName()

  Specified by:
    `getName` in interface `DynaClass`

### newInstance

    public DynaBean newInstance()
                         throws IllegalAccessException,
                                InstantiationException

  Specified by:
    `newInstance` in interface `DynaClass`
  Throws:
    `IllegalAccessException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.